Skip to main content
GET
/
v1
/
wallets
/
settings
Get wallet settings
curl --request GET \
  --url https://api.hyperline.co/v1/wallets/settings \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperline.co/v1/wallets/settings"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperline.co/v1/wallets/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enabled": true,
  "allow_free_credits": true,
  "allow_topup_on_portal": false,
  "product_ids": [],
  "updated_at": "2024-12-20T16:04:11Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json
enabled
boolean
required

Indicates if the wallet feature is enabled or not. If disabled, wallets won't be debited even if they are in active state and with money.

Example:

true

allow_free_credits
boolean
required

Allow top up for free amounts on wallets.

Example:

true

allow_topup_on_portal
boolean
required

Allow wallet top up on customer's portal.

Example:

false

product_ids
string[]
required

Product IDs on which wallet will apply. If empty, the wallet will apply to all invoice line items.

Example:
[]
updated_at
string<date-time> | null
required

Last edition date of the wallet settings.

Example:

"2024-12-20T16:04:11Z"